# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# %%name or %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name gridftp-ifce
%define version 2.3.1
# unversionned doc dir F20 change https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:						gridftp-ifce
Version:					2.3.1
Release:					alt1_5
Summary:					GridFTP library for FTS and lcgutil
Group:						Networking/WWW
License:					ASL 2.0
URL:						https://svnweb.cern.ch/trac/lcgutil
# svn export http://svn.cern.ch/guest/lcgutil/gridftp-ifce/trunk gridftp-ifce
Source0:					http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/%{name}/%{name}-%{version}.tar.gz

BuildRequires: ctest cmake
BuildRequires:				globus-gass-copy-devel

Requires:					globus-gass-copy%{?_isa}
Source44: import.info

%description
gridFTP-ifce is client side library for the gridFTP protocol 
using the globus toolkit.

%package devel
Summary:					Client side headers and development files
Group:						Networking/WWW
Requires:					%{name}%{?_isa} = %{version}
Requires:					globus-gass-copy-devel%{?_isa}

%description devel
This package contains development files for %{name}

%prep
%setup -q

%build
%{fedora_cmake} \
-DDOC_INSTALL_DIR=%{_docdir}/%{name} \
. 
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=$RPM_BUILD_ROOT install

%files devel
%{_libdir}/libgridftp_ifce.so
%{_includedir}/gridftp-ifce.h
%{_docdir}/%{name}/RELEASE-NOTES

%files
%{_libdir}/libgridftp_ifce.so.*
%{_docdir}/%{name}/README
%{_docdir}/%{name}/VERSION
%{_docdir}/%{name}/LICENSE

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.3.1-alt1_5
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.3.1-alt1_4
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2.3.1-alt1_3
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.3.1-alt1_2
- update to new release by fcimport

* Thu Oct 10 2013 Igor Vlasenko <viy@altlinux.ru> 2.3.1-alt1_1
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 2.3.0-alt1_2
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 2.3.0-alt1_1
- initial fc import

